#!/bin/sh
PATH=$PATH:/usr/opt/SUNWmd/sbin:/opt/gms/bin
export PATH


cd `dirname $0`
dir=`pwd`

foxlibdir=/opt/fox/displib
cuslibdir=/opt/customer/displib

nawk -f getlibs.awk $dir/tmp/temp1.out | sort -u > $dir/tmp/libs

while read line ; do
	lib=$line
	if [ ! -f $dir/tmp/$lib.g ] ; then
		foxlib=`find $foxlibdir -name $lib.m1 -print | nawk 'NR==1'`
		if [ -f "$foxlib" ] ; then
			echo "         Getting FOX  library: $lib"
			cp $foxlib $dir/tmp
		fi
		cuslib=`find $cuslibdir -name $lib.m1 -print | nawk 'NR==1'`
		if [ -f "$cuslib" ] ; then
			echo "         Getting CUST library: $lib"
			cp $cuslib $dir/tmp
		fi
		cd $dir/tmp
		if [ -f "$lib.m1" ] ; then
			/opt/gms/bin/m1g $dir/tmp/$lib.m1 >>m1g.log
		else
			echo "         Error - Can not find lib: $lib, skipping"
			touch $dir/tmp/$lib.g
		fi
		cd ..
	fi
done < $dir/tmp/libs

