#!/bin/sh

if [ ! "$#" = 3 ] ; then
	echo
	echo "Prints list of CMP:BLK.PRM explicitly referenced in a sequence block."
	echo
	echo "Usage: `basename $0` CP CMP:BLOCK BLKTYPE"
	echo "   CP        is CP or Volume name"
	echo "   CMP:BLOCK is the name is the sequence block"
	echo "   BLKTYPE   is IND, DEP, EXC, or MON"
	echo
	exit
fi

CP=$1
CB=$2
TYP=$3
COMPOUND=`echo $CB | nawk -F ":" '{print $1}'`

cd `dirname $0`
wd=`pwd`
tmpdir=`dirname $wd`/temp/seq

mkdir $tmpdir >>/dev/null 2>&1
rm $tmpdir/* >>/dev/null 2>&1

cd /opt/fox/ciocfg/api

iccdrvr.tsk <<EODT >>$tmpdir/$CB.err 2>&1
OPEN $CP ALL SEQXREF
GETSEQ $CB $tmpdir/$CB
CMPLSEQ $TYP $tmpdir/$CB
EXIT
EODT

cd $wd
if [ -f $tmpdir/$CB.l ] ; then
	nawk -f parseSeq.awk CMP=$COMPOUND $tmpdir/$CB.l>/tmp/seqlst.$$
	nawk -v CB=$CB '{printf("%-32s %s.SQCODE\n",$0,CB)}' /tmp/seqlst.$$
	rm /tmp/seqlst.$$
fi
